#include "medic.h"
#include <iostream>
#include <fstream>
#include <iomanip>
#include <algorithm>



//(ИСПРАВЛЕНО)!!! Вы программу будете компилировать перед отправкой? Где такой конструктор объявлен?

drug::drug(int _pharmacy,
	       const char* _name,
	       int _quantity,
	       double _price,
	       const char* _date,
	       int _storage_time): 
	pharmacy(_pharmacy),
	quantity(_quantity),
	price(_price),
	storage_time(_storage_time)
{
	strcpy_s(name, 128, _name);
	strcpy_s(date, 128, _date);
}


std::istream& operator>>(std::istream& in, drug& _drug)
{
	in.getline(_drug.name, 128);
	in.getline(_drug.date, 128);
	in  >> _drug.pharmacy
		>> _drug.quantity
		>> _drug.price
		>> _drug.date
		>> _drug.storage_time;
	return in;
}

std::ostream& operator<<(std::ostream& out, const drug& _drug)
{
	out << _drug.pharmacy     << std::endl
		<< _drug.name         << std::endl
		<< _drug.quantity     << std::endl
		<< _drug.price        << std::endl
		<< _drug.date         << std::endl
		<< _drug.storage_time << std::endl;

	return out;
}


